/*
 * xsky - a computerized sky atlas
 *
 * Copyright 1992-3, Terry R. Friedrichsen
 *
 * This program may be copied and redistributed, in whole or in part,
 * as long as you don't try to make any money from the sale or redis-
 * tribution of the program or any part of the program, or pretend
 * that you wrote the program or any of its parts unless specifically
 * credited by the original author.
 *
 * You are free to make use of this software in your own programs, as
 * long as you credit the original author where it is due.
 */

/*
 * WARRANTY:
 * xsky was written as a learning project and as a demonstration of
 * X Window System programming.  xsky doesn't do anything; it is not
 * merchantable, and it is not fit for any purpose whatsoever.  In
 * fact, don't use xsky at all; it's free, and you're getting what
 * you paid for.
 */

#include <stdio.h>

#include <string.h>

#include <X11/Intrinsic.h>

#include "skydefs.h"

#include "catdefs.h"

#include "catalog.h"

#ifdef __STDC__
/* external function prototyupes */
extern void init_user();
#ifdef HAVE_QSO
extern void init_qso(struct cat_header *);
#endif
#ifdef HAVE_DBL
extern void init_dbl(struct cat_header *);
#endif
#ifdef HAVE_WDS
extern void init_wds(struct cat_header *);
#endif
#ifdef HAVE_VAR
extern void init_var(struct cat_header *);
#endif
#ifdef HAVE_GCVS
extern void init_gcvs(struct cat_header *);
#endif
#ifdef HAVE_SAO
extern void init_sao(struct cat_header *);
#endif
#ifdef HAVE_SAOJ2000
extern void init_saoj2000(struct cat_header *);
#endif
#ifdef HAVE_RNGC
extern void init_rngc(struct cat_header *);
#endif
#ifdef HAVE_YBS
extern void init_ybs(struct cat_header *);
#endif
#ifdef HAVE_BSC5
extern void init_bsc5(struct cat_header *);
#endif
extern boolean check_user_cat();
#else   /* not __STDC__ */
/* external function prototyupes */
extern void init_user();
#ifdef HAVE_QSO
extern void init_qso();
#endif
#ifdef HAVE_DBL
extern void init_dbl();
#endif
#ifdef HAVE_WDS
extern void init_wds();
#endif
#ifdef HAVE_VAR
extern void init_var();
#endif
#ifdef HAVE_GCVS
extern void init_gcvs();
#endif
#ifdef HAVE_SAO
extern void init_sao();
#endif
#ifdef HAVE_SAOJ2000
extern void init_saoj2000();
#endif
#ifdef HAVE_RNGC
extern void init_rngc();
#endif
#ifdef HAVE_YBS
extern void init_ybs();
#endif
#ifdef HAVE_BSC5
extern void init_bsc5();
#endif
extern boolean check_user_cat();
#endif   /* __STDC__ */



void catalog_init(cat_list_head,initial_catlist)

struct cat_header **cat_list_head;
char *initial_catlist;

{
  struct cat_header *catalog;

/* build the catalog list (the catalogs will appear in the catalog selection
 * menu in the opposite order from which they are built here) */

  /* the user catalog goes first so it's last */
  if (check_user_cat()) {
    catalog = (struct cat_header *)malloc(sizeof(struct cat_header));
    catalog->next_cat = *cat_list_head;
    *cat_list_head = catalog;
    catalog->obj_list_head = catalog->obj_list_rear = (struct obj_node *)NULL;
    init_user(catalog);
  }

#ifdef HAVE_QSO
  catalog = (struct cat_header *)malloc(sizeof(struct cat_header));
  catalog->next_cat = *cat_list_head;
  *cat_list_head = catalog;
  catalog->obj_list_head = catalog->obj_list_rear = (struct obj_node *)NULL;
  init_qso(catalog);
#endif

#ifdef HAVE_DBL
  catalog = (struct cat_header *)malloc(sizeof(struct cat_header));
  catalog->next_cat = *cat_list_head;
  *cat_list_head = catalog;
  catalog->obj_list_head = catalog->obj_list_rear = (struct obj_node *)NULL;
  init_dbl(catalog);
#endif

#ifdef HAVE_WDS
  catalog = (struct cat_header *)malloc(sizeof(struct cat_header));
  catalog->next_cat = *cat_list_head;
  *cat_list_head = catalog;
  catalog->obj_list_head = catalog->obj_list_rear = (struct obj_node *)NULL;
  init_wds(catalog);
#endif

#ifdef HAVE_VAR
  catalog = (struct cat_header *)malloc(sizeof(struct cat_header));
  catalog->next_cat = *cat_list_head;
  *cat_list_head = catalog;
  catalog->obj_list_head = catalog->obj_list_rear = (struct obj_node *)NULL;
  init_var(catalog);
#endif

#ifdef HAVE_GCVS
  catalog = (struct cat_header *)malloc(sizeof(struct cat_header));
  catalog->next_cat = *cat_list_head;
  *cat_list_head = catalog;
  catalog->obj_list_head = catalog->obj_list_rear = (struct obj_node *)NULL;
  init_gcvs(catalog);
#endif

#ifdef HAVE_SAO
  catalog = (struct cat_header *)malloc(sizeof(struct cat_header));
  catalog->next_cat = *cat_list_head;
  *cat_list_head = catalog;
  catalog->obj_list_head = catalog->obj_list_rear = (struct obj_node *)NULL;
  init_sao(catalog);
#endif

#ifdef HAVE_SAOJ2000
  catalog = (struct cat_header *)malloc(sizeof(struct cat_header));
  catalog->next_cat = *cat_list_head;
  *cat_list_head = catalog;
  catalog->obj_list_head = catalog->obj_list_rear = (struct obj_node *)NULL;
  init_saoj2000(catalog);
#endif

#ifdef HAVE_RNGC
  catalog = (struct cat_header *)malloc(sizeof(struct cat_header));
  catalog->next_cat = *cat_list_head;
  *cat_list_head = catalog;
  catalog->obj_list_head = catalog->obj_list_rear = (struct obj_node *)NULL;
  init_rngc(catalog);
#endif

#ifdef HAVE_BSC5
  catalog = (struct cat_header *)malloc(sizeof(struct cat_header));
  catalog->next_cat = *cat_list_head;
  *cat_list_head = catalog;
  catalog->obj_list_head = catalog->obj_list_rear = (struct obj_node *)NULL;
  init_bsc5(catalog);
#endif

#ifdef HAVE_YBS
  catalog = (struct cat_header *)malloc(sizeof(struct cat_header));
  catalog->next_cat = *cat_list_head;
  *cat_list_head = catalog;
  catalog->obj_list_head = catalog->obj_list_rear = (struct obj_node *)NULL;
  init_ybs(catalog);
#endif

/* read all catalogs */
  catalog = *cat_list_head;
  while (catalog != (struct cat_header *)NULL) {
    catalog->file_fd = (*catalog->read_data)();
    catalog = catalog->next_cat;
  }

  return;
}
