/*
 * xsky - a computerized sky atlas
 *
 * Copyright 1992-3, Terry R. Friedrichsen
 *
 * This program may be copied and redistributed, in whole or in part,
 * as long as you don't try to make any money from the sale or redis-
 * tribution of the program or any part of the program, or pretend
 * that you wrote the program or any of its parts unless specifically
 * credited by the original author.
 *
 * You are free to make use of this software in your own programs, as
 * long as you credit the original author where it is due.
 */

/*
 * WARRANTY:
 * xsky was written as a learning project and as a demonstration of
 * X Window System programming.  xsky doesn't do anything; it is not
 * merchantable, and it is not fit for any purpose whatsoever.  In
 * fact, don't use xsky at all; it's free, and you're getting what
 * you paid for.
 */

/* maximum length of an ID string */
#define MAX_ID_STRING  20

/* names for the identification text fonts */
typedef enum { GREEK, LATIN } IDfont;

struct id_node {
  struct id_node *next;
  struct cat_header *obj_catalog;
  int obj_index;
  Position obj_x, obj_y;
  Position x, y;
  int ul_x, ul_y;
  int lr_x, lr_y;
  IDfont font;
  boolean show_flag;
  char id_buffer[MAX_ID_STRING + 1];
};

/* names for the colors of the standard spectral classes */
typedef enum { O, B, A, F, G, K, M } StarColor;

/* names for the shapes of object representations */
typedef enum { SQUARE, CIRCLE, ELLIPSE, XMARK } ObjShape;

/* function to compute pixel diameter of a star from its magnitude - e. g.,
 * -1.4 = 11 pixels, 6.1 = 3 pixels, but never less than 2 pixels */
#define SZ(mag)  (int)(9 - (mag < 0 ? (int)(mag - 0.999) : (int)mag))
#define STARSIZE(mag)  (int)(mag > 7 ? 2 : SZ(mag))

/* mean size of a non-stellar object */
#define OBJSIZE   4

#define PS_OUTPUT_FILE   "starchart.ps"
