/*
 * xsky - a computerized sky atlas
 *
 * Copyright 1992-3, Terry R. Friedrichsen
 *
 * This program may be copied and redistributed, in whole or in part,
 * as long as you don't try to make any money from the sale or redis-
 * tribution of the program or any part of the program, or pretend
 * that you wrote the program or any of its parts unless specifically
 * credited by the original author.
 *
 * You are free to make use of this software in your own programs, as
 * long as you credit the original author where it is due.
 */

/*
 * WARRANTY:
 * xsky was written as a learning project and as a demonstration of
 * X Window System programming.  xsky doesn't do anything; it is not
 * merchantable, and it is not fit for any purpose whatsoever.  In
 * fact, don't use xsky at all; it's free, and you're getting what
 * you paid for.
 */

#define RNGC_CATALOG_NAME   \
                         "Revised New General Catalog of Non-Stellar Objects"

#define RNGC_MENU_NAME   "RNGC"

#define RNGC_EPOCH       1975.0

#define RNGC_NUMREC      8163

#define RNGC_RECLEN      78

#define	CAT_START	 0
#define SUBLETTER_START  5
#define	TYPE_START	 6
#define	POS_START	 8
#define RA_START         8
#define DEC_START        14
#define	MAG_START	 19
#define	DESC_START	 23

/* definitions for object type codes */
#define UNVERIFIED         0
#define OPEN_CLUSTER       1
#define GLOBULAR_CLUSTER   2
#define DIFFUSE_NEBULA     3
#define PLANETARY_NEBULA   4
#define GALAXY             5
#define CLUSTER_NEBULOUS   6
#define NONEXISTENT        7
#define LMC_OBJECT         8
#define SMC_OBJECT         9
