/*
 * xsky - a computerized sky atlas
 *
 * Copyright 1992-3, Terry R. Friedrichsen
 *
 * This program may be copied and redistributed, in whole or in part,
 * as long as you don't try to make any money from the sale or redis-
 * tribution of the program or any part of the program, or pretend
 * that you wrote the program or any of its parts unless specifically
 * credited by the original author.
 *
 * You are free to make use of this software in your own programs, as
 * long as you credit the original author where it is due.
 */

/*
 * WARRANTY:
 * xsky was written as a learning project and as a demonstration of
 * X Window System programming.  xsky doesn't do anything; it is not
 * merchantable, and it is not fit for any purpose whatsoever.  In
 * fact, don't use xsky at all; it's free, and you're getting what
 * you paid for.
 */

#define SAO_CATALOG_NAME        \
                    "Smithsonian Astrophysical Observatory Star Catalog J2000"

#define SAO_MENU_NAME    "SAOJ2000"

#define SAO_EPOCH        2000.0

#define MAX_SAO                 258997

#define SAO_RECLEN              204

#define	CAT_START		0     /* nnnnnn */
#define DEL_FLAG                6     /* 'D' = deleted duplicate */
#define	MAG_PG_START		76    /* nn.n, 99.9 = null */
#define	MAG_VIS_START		80    /* nn.n, 99.9 = null */
#define	SPECTRUM_START		84    /* xxx, +++ = composite */
#define	SOURCE_CAT_CODE_START	97    /* nn */
#define	SOURCE_CAT_NUM_START	99    /* nnnnn */
#define DURCHMUSTERUNG_CAT      104   /* xx */
#define DURCHMUSTERUNG_NUMBER   106   /* szznnnnn, blank = null */
#define	COMPONENTS_START	114   /* xx */
#define	BD_SUPP_LETTER		116   /* x */
#define	HD_START		117   /* nnnnnn, blank = null */
#define	HD_CODE			123   /* x */
#define	GC_START		124   /* nnnnn, blank = null */
#define	POS_RA_START		150   /* hhmmss.sss */
#define	PROPER_MOTION_RA_START	160   /* nn.nnnn sec/year */
#define	POS_DEC_START		167   /* sddmmss.ss */
#define	PROPER_MOTION_DEC_START	177   /* nn.nnn arcsec/year */
