/*
 * xsky - a computerized sky atlas
 *
 * Copyright 1992-3, Terry R. Friedrichsen
 *
 * This program may be copied and redistributed, in whole or in part,
 * as long as you don't try to make any money from the sale or redis-
 * tribution of the program or any part of the program, or pretend
 * that you wrote the program or any of its parts unless specifically
 * credited by the original author.
 *
 * You are free to make use of this software in your own programs, as
 * long as you credit the original author where it is due.
 */

/*
 * WARRANTY:
 * xsky was written as a learning project and as a demonstration of
 * X Window System programming.  xsky doesn't do anything; it is not
 * merchantable, and it is not fit for any purpose whatsoever.  In
 * fact, don't use xsky at all; it's free, and you're getting what
 * you paid for.
 */

#define RAD_TO_DEG(r)   ((double)r / DEGREES_PER_RAD)
#define RAD_TO_HOUR(r)  (RAD_TO_DEG(r) / DEGREES_PER_HOUR)

/* initial default size */
#define INITIAL_WIDTH   400
#define INITIAL_HEIGHT  400

/* initial default position */
#define INITIAL_POSITION  "05h 36m 12s.7, -01d 12' 07\""

/* initial default limiting magnitude */
#define INITIAL_MAGNITUDE  8.0

/* initial scale:  15 degrees = 300 pixels */
#define INITIAL_DEGREES_PER_PIXEL  (15.0 / 300)
#define INITIAL_PIXELS_PER_DEGREE  (1.0 / INITIAL_DEGREES_PER_PIXEL)

/* handle the title for vtwm */
#define VTWM_TITLEHEIGHT   20

/* object proximity distance for buttonclick selection */
#define OBJ_PROXIMITY   4
