/*
 * xsky - a computerized sky atlas
 *
 * Copyright 1992-3, Terry R. Friedrichsen
 *
 * This program may be copied and redistributed, in whole or in part,
 * as long as you don't try to make any money from the sale or redis-
 * tribution of the program or any part of the program, or pretend
 * that you wrote the program or any of its parts unless specifically
 * credited by the original author.
 *
 * You are free to make use of this software in your own programs, as
 * long as you credit the original author where it is due.
 */

/*
 * WARRANTY:
 * xsky was written as a learning project and as a demonstration of
 * X Window System programming.  xsky doesn't do anything; it is not
 * merchantable, and it is not fit for any purpose whatsoever.  In
 * fact, don't use xsky at all; it's free, and you're getting what
 * you paid for.
 */

#define WDS_CATALOG_NAME   "Washington Catalog of Double Stars"

#define WDS_MENU_NAME       "WDS"

#define WDS_EPOCH           1900.0

#define MAX_WDS                 73610

#define WDS_RECLEN              80

#define	POS_RA_START		0   /* hhmmt - t = tenths */
#define POS_DEC_START           8   /* sddmm */
#define	COMPONENTS_START	22  /* xxxxx */
#define	OBS_DATES_START		27  /* nnnnnn, two sets of year - 1000 */
#define NUM_MEASURES            33  /* nn, 99 means >= 99 */
#define	POSITION_ANGLES_START	35  /* nnnnnn, two sets of degrees */
#define	SEPARATIONS_START	41  /* sst, usually - seconds and tenths */
#define	MAG_PRIMARY_START	47  /* mmt - t = tenths */
#define	MAG_SECONDARY_START	50  /* mmt - t = tenths */
#define	SPECTRUM_START		53  /* xnxn */
#define	PROPER_MOTION_RA_START	57  /* xnnn, x = E or W, seconds per 1000 yr */
#define	PROPER_MOTION_DEC_START	61  /* xnnn, x = N or S, seconds per 1000 yr */
#define	BD_START		65  /* xxxxxxxx */
#define	ADS_START		73  /* xxxxx */
#define	FLAGS_START		78  /* xx */
